Skip to main content
GET
Get a payment request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Minimum string length: 1

Response

OK

id
string
required
Minimum string length: 1
clientId
string
required
Minimum string length: 1
projectId
string | null
required
Minimum string length: 1
title
string
required
amountAgorot
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
paidAgorot
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
creditedAgorot
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
dueDate
string | null
required
Pattern: ^\d{4}-\d{2}-\d{2}$
status
enum<string>
required
Available options:
not_sent,
sent,
partially_paid,
paid,
overdue,
cancelled
sentAt
string | null
required
payUrl
string | null
required
createdAt
string
required
updatedAt
string
required